Skip to main content
GET
/
v3
/
10dlc
/
brands
/
{brand_id}
/
campaigns
/
{campaign_id}
Retrieve a 10DLC Campaign
curl --request GET \
  --url https://api.wavix.com/v3/10dlc/brands/{brand_id}/campaigns/{campaign_id} \
  --header 'Authorization: Bearer <token>'
{
  "affiliate_marketing": false,
  "age_gated": false,
  "auto_renewal": false,
  "brand_id": "BM20QP9",
  "campaign_id": "CKLCK95",
  "created_at": "2024-08-14T11:57:41",
  "description": "Our campaign aims to …",
  "direct_lending": false,
  "embedded_link_sample": null,
  "embedded_links": false,
  "embedded_phones": false,
  "feedback": null,
  "help": true,
  "help_keywords": "help",
  "help_message": "For help, please visit www.site.com. To opt-out, reply STOP.",
  "last_bill_date": "2024-08-14T11:57:42",
  "mock": false,
  "monthly_fee": "10.0",
  "name": "My first campaign",
  "next_bill_date": "2024-11-14T00:00:00",
  "optin": true,
  "optin_keywords": "begin,start",
  "optin_message": "You are now opted-in for help please reply HELP, to stop please reply STOP",
  "optin_workflow": "Our SMS ...",
  "optout": true,
  "optout_keywords": "stop,quit,unsubscribe",
  "optout_message": "You are now opted out and will receive no further messages",
  "privacy_policy": "https://site.com/privacy-policy",
  "sample1": "Your verification code is XXXXXX",
  "sample2": "XXXX is your verification code",
  "sample3": null,
  "sample4": null,
  "sample5": null,
  "status": "APPROVED",
  "terms_conditions": "https://site.com/terms-and-conditions",
  "updated_at": "2024-08-14T11:57:47",
  "usecase": "2FA",
  "phone_numbers": [
    "14358684439",
    "13193337776",
    "12673296046"
  ]
}

Authorizations

Authorization
string
header
required

Bearer token using appid (Authorization: Bearer )

Path Parameters

brand_id
string
required

Brand ID.

Example:

"BM20QP9"

campaign_id
string
required

Campaign ID.

Example:

"CKLCK95"

Response

10DLC Campaign.

10DLC campaign details.

affiliate_marketing
boolean
required

Indicates whether the Campaign is used for affiliate marketing.

Example:

false

age_gated
boolean
required

Indicates whether the Campaign messages contain age-gated content.

Example:

false

auto_renewal
boolean
required

Indicates whether the Campaign should be automatically renewed.

Example:

true

last_bill_date
string
required

Date and time the Campaign was last billed in ISO 8601 format.

Example:

"2024-08-14T11:57:42"

next_bill_date
string
required

Date and time the Campaign will be billed next in ISO 8601 format.

Example:

"2024-08-14T11:57:42"

direct_lending
boolean
required

Indicates whether the Campaign messages contain direct lending content.

Example:

true

Indicates whether the Campaign messages contain embedded links.

Example:

true

embedded_phones
boolean
required

Indicates whether the Campaign messages contain embedded phone numbers.

Example:

true

Embedded link sample.

brand_id
string
required

Brand ID.

Example:

"BM20QP9"

campaign_id
string
required

Campaign ID.

Example:

"CKLCK95"

description
string
required

Campaign description.

Example:

"Our campaign aims to …"

optin_workflow
string
required

Opt-in workflow description.

Example:

"Our SMS ..."

feedback
string | null
required

Campaign feedback.

help
boolean
required

Indicates whether the campaign includes a help system (for example, keyword: HELP, INFO).

Example:

true

help_keywords
string
required

Comma-separated list of help keywords. Keywords are case-insensitive.

Example:

"help"

help_message
string
required

Help message sent upon receiving a help keyword.

Example:

"For help, please visit www.site.com. To opt out, reply STOP."

optin
boolean
required

Indicates whether the Campaign requires subscriber opt-in.

Example:

true

optin_keywords
string
required

Comma-separated list of opt-in keywords. Keywords are case-insensitive.

Example:

"begin,start"

optin_message
string
required

Opt-in message sent upon receiving an opt-in keyword.

Example:

"You are now opted-in for help please reply HELP, to stop please reply STOP"

optout
boolean
required

Indicates whether the campaign includes an opt-out system (for example, keyword: STOP, QUIT).

Example:

true

optout_keywords
string
required

Comma-separated list of opt-out keywords. Keywords are case-insensitive.

Example:

"stop,quit,unsubscribe"

optout_message
string
required

Opt-out message sent upon receiving an opt-out keyword.

Example:

"You are now opted out and will receive no further messages"

name
string
required

Campaign name.

Example:

"My first campaign"

created_at
string
required

Date and time the Campaign was created in ISO 8601 format.

Example:

"2024-08-14T11:57:41"

sample1
string
required

Message sample.

Example:

"Your verification code is XXXXXX"

sample2
string | null
required

Message sample.

sample3
string | null
required

Message sample.

sample4
string | null
required

Message sample.

sample5
string | null
required

Message sample.

updated_at
string
required

Date and time the Campaign was updated in ISO 8601 format.

Example:

"2024-08-14T11:57:47"

mock
boolean
required

Indicates whether the Campaign is a mock campaign.

Example:

false

usecase
string
required

Campaign use case.

Example:

"2FA"

monthly_fee
string
required

Campaign monthly fee.

Example:

"10.0"

terms_conditions
string
required

Terms and conditions URL.

Example:

"https://site.com/terms-and-conditions"

status
string
required

Campaign status.

Example:

"APPROVED"

phone_numbers
string[]
required

List of phone numbers associated with the campaign.

Example:
["14358684439", "13193337776", "12673296046"]
privacy_policy
string

Privacy policy URL.

Example:

"https://site.com/privacy-policy"